Page MenuHomeFreeBSD

net/vnstat: Update to 2.2 and minor changes to Makefile
ClosedPublic

Authored by daniel.engberg.lists_pyret.net on May 8 2019, 5:16 AM.

Details

Summary

Update vnstat to 2.2
Remove obsolete mirror
Remove unneeded C and LDFLAGS

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

daniel.engberg.lists_pyret.net retitled this revision from net/vnstat: Update to 2.2 and minor change to Makefile to net/vnstat: Update to 2.2 and minor changes to Makefile.May 8 2019, 5:25 AM
mat added a comment.May 8 2019, 9:41 AM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

Attached complete diff as requested

mat added inline comments.May 8 2019, 12:37 PM
net/vnstat/Makefile
6 ↗(On Diff #57176)

From 5.2.3.1. PORTREVISION:

PORTREVISION is a monotonically increasing value which is reset to 0 with every increase of DISTVERSION, typically every time there is a new official vendor release. If PORTREVISION is non-zero, the value is appended to the package name. Changes to PORTREVISION are used by automated tools like pkg-version(8) to determine that a new package is available.

Set PORTREVISION to 0 instead of 1, reported by mat@

daniel.engberg.lists_pyret.net marked an inline comment as done.May 8 2019, 3:50 PM
mat added inline comments.May 9 2019, 12:24 PM
net/vnstat/Makefile
15 ↗(On Diff #57184)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

35 ↗(On Diff #57184)

No need for +=.

Move USE_RC_SUBR as suggested by ports documentation and mat@
Change GUI_LIB_DEPENDS+= to GUI_LIB_DEPENDS= as suggested by mat@

daniel.engberg.lists_pyret.net marked 2 inline comments as done.May 9 2019, 10:30 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 28 2019, 8:06 PM
Closed by commit rP502911: net/vnstat: Update to 2.2 (authored by feld). · Explain Why
This revision was automatically updated to reflect the committed changes.